Package bitel.billing.server.contract.bean

# Class PersonalTariff

java.lang.Object
bitel.billing.server.contract.bean.PersonalTariff

    public class PersonalTariff
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PersonalTariff()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getConfig()` |
  `Preferences` | `getConfigPreferences()` |
  `int` | `getContractId()` |
  `java.util.Calendar` | `getDate1()` |
  `java.util.Calendar` | `getDate2()` |
  `int` | `getId()` |
  `int` | `getPos()` |
  `java.lang.String` | `getTitle()` |
  `java.lang.String` | `getTitleWeb()` |
  `int` | `getTreeId()` |
  `boolean` | `isUseTitleInWeb()` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate1​(java.util.Calendar date1)` |
  `void` | `setDate2​(java.util.Calendar date2)` |
  `void` | `setId​(int id)` |
  `void` | `setPos​(int pos)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setTitleWeb​(java.lang.String titleWeb)` |
  `void` | `setTreeId​(int treeId)` |
  `void` | `setUseTitleInWeb​(boolean useTitleInWeb)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersonalTariff

    public PersonalTariff()

- ## Method Details

  - ### getDate1

    public java.util.Calendar getDate1()

  - ### setDate1

    public void setDate1​(java.util.Calendar date1)

  - ### getDate2

    public java.util.Calendar getDate2()

  - ### setDate2

    public void setDate2​(java.util.Calendar date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getTreeId

    public int getTreeId()

  - ### setTreeId

    public void setTreeId​(int treeId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos​(int pos)

  - ### getTitleWeb

    public java.lang.String getTitleWeb()

  - ### setTitleWeb

    public void setTitleWeb​(java.lang.String titleWeb)

  - ### isUseTitleInWeb

    public boolean isUseTitleInWeb()

  - ### setUseTitleInWeb

    public void setUseTitleInWeb​(boolean useTitleInWeb)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getConfigPreferences

    public Preferences getConfigPreferences()